Enneo

Partner

Update partner

PATCH /partner/{id}

PATCH /partner/{id}

Path parameters

idintegerpathrequired

No description.

Request body

idintegerbodyrequired

The unique identifier of the partner

emailstringbody

The email of the partner

lastUsagestringbody

The last usage of the partner

zipstringbody

The postal code of the partner's address

citystringbody

The city of the partner's address

phonestringbody

The partner's phone number

tagIdsinteger[]body

A list of tag IDs associated with the partner

addressstringbody

The street and house number of the partner's address

companystringbody

The name of the company the partner is associated with, if any

countrystringbody

The country of the partner

businessbooleanbodyrequired

Whether the partner is a business entity

lastnamestringbody

The partner's last name

firstnamestringbody

The partner's first name

serviceIdstringbody

The service ID of the partner

linkstringbody

The link of the partner

salutationstringbody

The salutation (e.g., Mr., Mrs.) of the partner

contractIdsinteger[]body

A list of contract IDs associated with the partner

emailMatchesstring[]body

Possible email matches associated with the partner

descriptionstringbody

The description of the partner

additionalDatastringbody

Any additional data related to the partner

billingAddressstringbody

The partner's billing address

deliveryAddressstringbody

The partner's delivery address

Request Example

{
  "id": 1,
  "email": "mia.jones@gmail.com",
  "lastUsage": "2022-12-13 22:18:06",
  "zip": "10409",
  "city": "Berlin",
  "phone": "+4915324567843",
  "tagIds": [],
  "address": null,
  "company": null,
  "country": "Germany",
  "business": false,
  "lastname": "Jones",
  "firstname": "Mia",
  "serviceId": "5353543",
  "link": null,
  "salutation": null,
  "contractIds": [],
  "emailMatches": null,
  "description": null,
  "additionalData": null,
  "billingAddress": null,
  "deliveryAddress": null
}

Responses

200 — Successful operation

500 — Internal error